FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202111151318.p0.g52ab893.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202111151318.p0.g52ab893.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=52ab893 OS_GIT_VERSION=4.9.0-202111151318.p0.g52ab893.assembly.stream-52ab893 SOURCE_DATE_EPOCH=1629486742 SOURCE_GIT_COMMIT=52ab8938fe0a1ea3cb666ebd0c6f7b46db5cb0de SOURCE_GIT_TAG=v1.0.0-rc2-840-g52ab8938 SOURCE_GIT_URL=https://github.com/openshift/csi-external-snapshotter 
WORKDIR /go/src/github.com/kubernetes-csi/external-snapshotter
COPY . .
RUN make build

FROM openshift/ose-base:v4.9.0.20211115.131845
ENV __doozer=update BUILD_RELEASE=202111151318.p0.g52ab893.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202111151318.p0.g52ab893.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=52ab893 OS_GIT_VERSION=4.9.0-202111151318.p0.g52ab893.assembly.stream-52ab893 SOURCE_DATE_EPOCH=1629486742 SOURCE_GIT_COMMIT=52ab8938fe0a1ea3cb666ebd0c6f7b46db5cb0de SOURCE_GIT_TAG=v1.0.0-rc2-840-g52ab8938 SOURCE_GIT_URL=https://github.com/openshift/csi-external-snapshotter 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-snapshotter/bin/csi-snapshotter /usr/bin/
ENTRYPOINT ["/usr/bin/csi-snapshotter"]

LABEL \
        name="openshift/ose-csi-external-snapshotter" \
        com.redhat.component="ose-csi-external-snapshotter-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202111151318.p0.g52ab893.assembly.stream" \
        io.openshift.build.commit.id="52ab8938fe0a1ea3cb666ebd0c6f7b46db5cb0de" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-snapshotter" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-snapshotter/commit/52ab8938fe0a1ea3cb666ebd0c6f7b46db5cb0de" \
        version="v4.9.0"

